TrophicSimilarity {cheddar} | R Documentation

## Trophic similarity

### Description

A measure of trophic overlap between nodes in a community.

### Usage

    TrophicSimilarity(community)
    MeanMaximumTrophicSimilarity(community)

### Arguments

`community` | an object of class `Community`.

### Details

`TrophicSimilarity` computes ‘trophic similarity’ (I) as defined by Martinez (1991). For each pair of nodes, I = c/(a+b+c), where a is the number of resources and consumers unique to one node, b is number of resources and consumers unique to the other node and c is the number of resources and consumers common to both nodes. Where two nodes have exactly the same set of resources and consumers, I = 1. Where two nodes have no resources or consumers in common, I = 0.

Williams and Martinez (2000) defined the mean maximum trophic similarity as the sum of the largest value in each column of I (excluding the diagonal), divided by the number of nodes.

### Value

`TrophicSimilarity` returns a `matrix` with `NumberOfNodes` rows and columns. `MeanMaximumSimilarity` returns a number.

### Author(s)

Lawrence Hudson

### References

Martinez, N. D. (1991) Ecological Monographs 61, 367–392.

Williams, R. J. and Martinez, N. D. (2000) Nature 404 180–182.

### See Also

`PredationMatrix`, `NumberOfNodes`, `TrophicSpecies`

### Examples

    data(TL84)

    I <- TrophicSimilarity(TL84)
    I

    MeanMaximumTrophicSimilarity(TL84)

[Package cheddar version 0.1-633 Index]